Subject: [bug#75528] [PATCH 1/2] gnu: Add apcupsd.

From: Tomas Volf <[email-masked]>
Date: Sun, 09 Feb 2025 17:26:20 +0100

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Tomas Volf <[email-masked]> writes:
>
>> --- /dev/null
>> +++ b/gnu/packages/power.scm
>> @@ -0,0 +1,125 @@
>> +;;; Copyright (C) 2025 Tomas Volf <[email-masked]>
>> +;;; Copyright (C) 2023 Raven Hallsby <[email-masked]>
>
> One last thing; I don't see Raven listed in a 'Co-authored-by:' git
> trailer in the commit message; should they?  Or otherwise mention
> plainly this work was based on their previous work, made available
> '$where'.

I did not know about co-authored trailer.  Should it be used even in
situations where I just took a look at his version online without any
active involvement?  Currently I have modified the commit message to:

--8<---------------cut here---------------start------------->8---
gnu: Add apcupsd.

Some parts were taken or inspired by the work of Raven Hallsby available
here[0].  For that reason I have added his copyright as well (I asked for the
permission).

0: https://raw.githubusercontent.com/KarlJoad/guix/9013b5ac3fadb48fad2e7ef1fbfaa4848dcb922a/gnu/packages/power.scm

* gnu/packages/power.scm (apcupsd): New variable.
* gnu/local.mk (GNU_SYSTEM_MODULES): Register the new file.

Change-Id: I0e4b2f50c8adf0f96d140e2be0f79e3740f4955c
--8<---------------cut here---------------end--------------->8---

Is that sufficient?

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.